cancel
Showing results for 
Search instead for 
Did you mean: 

Site advisor 2.7.2 and collation of EPO DB

Hi All

Could somebody help me out on this one

I have a instyalltion of EPO 5.1 running

On the SQL server as well as the EPO DB it uses SQL_Latin1_General_CI_AS

Whjen I try to check in Risk Advisor 2.7.2 i get an error .....

  • Unable to install extension. java.sql.SQLException: User does not have permission to performthis action

But i have given SQL account sysadmin privileges as per documentation, nothing to do with permissions

If i today run the EPO 5.X on the collation SQL_Latin1_General_CI_AS and would run the snapshot task

Create a instance on the SQL server and use the collation SQL_Latin1_General_CP1_CI_AS

Then run a new setup of EPO and use Restore ePO from an existing database snapshot

I would then point the DB to the instance using collation SQL_Latin1_General_CP1_CI_AS

My question would this work ?

Will i be able to run the setup and then later check in Risk advisor without any problems, anybody out there had same issue and done what im thinking of

Thanks in advance

1 Reply
McAfee Employee
McAfee Employee
Report Inappropriate Content
Message 2 of 2

Re: Site advisor 2.7.2 and collation of EPO DB

I don't believe the collation is necessarily at fault here - SQL_Latin1_General_CI_AS is supported, at least as far as ePO is concerned (although I'm not sure if Risk Advisor has different requirements) and I would expect a different error if there was a collation mismatch.

As a test, try configuring ePO to use the sa account: *not* any other account that may or may not have sa privileges, but the actual sa account itself. (I cannot stress this strongly enough.) If it works with sa, then it's a permissions issue: if not, then it's something else that we can investigate.

HTH -

Joe